KIP People API (Public)

GetUserMovieWishlist

Get a user’s movie wishlist

get

Query Parameters

pageinteger(int16)

Default:1

pageSizeinteger(int8)

Default:20

<= 100

Path Parameters

userIdstring(uuid)required

Response

application/json

The request has succeeded.

Models.Responses.MovieWishlistResponse

The request has succeeded.

dataarray[object]required
Show Child Parameters
metaobject
Show Child Parameters
linksarray[object]required
Show Child Parameters
get/users/{userId}/movies/wishlist
 
application/json

AddMovieToUserWishlist

Add a movie to a user’s movie wishlist

post

Path Parameters

userIdstring(uuid)required

Body

application/json

Models.MovieWishlist

movieIdstringrequired

Response

application/json

The request has succeeded and a new resource has been created as a result.

The request has succeeded and a new resource has been created as a result.

datastring(uuid)required
linksarray[object]required
Show Child Parameters
post/users/{userId}/movies/wishlist

Body

{ "movieId": "movieId" }
 
application/json

DeleteFromUserWishlist

Remove a movie from a user’s movie wishlist

delete

Path Parameters

userIdstring(uuid)required
movieIdstring(uuid)required

Response

There is no content to send for this request, but the headers may be useful.

delete/users/{userId}/movies/wishlist/{movieId}
 

User Exports

ExportUserData

Create an export job for exporting a user’s data

post

Path Parameters

userIdstring(uuid)required

Response

application/json

The request has been accepted for processing, but processing has not yet completed.

Models.Responses.GdprExportResponse

The request has been accepted for processing, but processing has not yet completed.

dataobjectrequired
Show Child Parameters
linksarray[object]required
Show Child Parameters
post/users/{userId}/exports/data
 
application/json